import { NativeModules } from 'react-native';
const { MyModule } = NativeModules;


export function AddMarker(lnglat: String) {
  MyModule.AddMarker(lnglat)
}

export function SetCameraAnimation(lnglat: String, zoom: String) {
  MyModule.SetCameraAnimation(lnglat, zoom)
}


export function CameraCallback() {
  MyModule.CameraCallback('Hello from React Native!')
    .then((result: any) => {
      console.warn(result)
      console.log(result); // Log the promise result
    })
    .catch((error: any) => {
      console.warn("Not working....")
      console.error(error); // Handle any errors
    });
}



